package com.yanzhu.jh.project.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.project.mapper.SurProjectUnitInfoMapper;
import com.yanzhu.jh.project.domain.SurProjectUnitInfo;
import com.yanzhu.jh.project.service.ISurProjectUnitInfoService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 建设单位信息Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2023-08-11
 */
@Service
public class SurProjectUnitInfoServiceImpl implements ISurProjectUnitInfoService 
{
    @Autowired
    private SurProjectUnitInfoMapper surProjectUnitInfoMapper;

    /**
     * 查询建设单位信息
     * 
     * @param id 建设单位信息主键
     * @return 建设单位信息
     */
    @Override
    public SurProjectUnitInfo selectSurProjectUnitInfoById(Long id)
    {
        return surProjectUnitInfoMapper.selectSurProjectUnitInfoById(id);
    }

    /**
     * 查询建设单位信息列表
     * 
     * @param surProjectUnitInfo 建设单位信息
     * @return 建设单位信息
     */
    @Override
    public List<SurProjectUnitInfo> selectSurProjectUnitInfoList(SurProjectUnitInfo surProjectUnitInfo)
    {
        return surProjectUnitInfoMapper.selectSurProjectUnitInfoList(surProjectUnitInfo);
    }

    /**
     * 新增建设单位信息
     * 
     * @param surProjectUnitInfo 建设单位信息
     * @return 结果
     */
    @Override
    public int insertSurProjectUnitInfo(SurProjectUnitInfo surProjectUnitInfo)
    {
        surProjectUnitInfo.setCreateTime(DateUtils.getNowDate());
        return surProjectUnitInfoMapper.insertSurProjectUnitInfo(surProjectUnitInfo);
    }

    /**
     * 修改建设单位信息
     * 
     * @param surProjectUnitInfo 建设单位信息
     * @return 结果
     */
    @Override
    public int updateSurProjectUnitInfo(SurProjectUnitInfo surProjectUnitInfo)
    {
        return surProjectUnitInfoMapper.updateSurProjectUnitInfo(surProjectUnitInfo);
    }

    /**
     * 批量删除建设单位信息
     * 
     * @param ids 需要删除的建设单位信息主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectUnitInfoByIds(Long[] ids)
    {
        return surProjectUnitInfoMapper.deleteSurProjectUnitInfoByIds(ids);
    }

    /**
     * 删除建设单位信息信息
     * 
     * @param id 建设单位信息主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectUnitInfoById(Long id)
    {
        return surProjectUnitInfoMapper.deleteSurProjectUnitInfoById(id);
    }
}
